Bug 183798 - feTurbulence is not rendered correctly on Retina display
Summary: feTurbulence is not rendered correctly on Retina display
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: SVG (show other bugs)
Version: Safari 11
Hardware: Unspecified Unspecified
: P2 Critical
Assignee: Said Abou-Hallawa
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-03-20 14:16 PDT by Robert Borghesi
Modified: 2018-05-08 09:20 PDT (History)
8 users (show)

See Also:


Attachments
test case (506 bytes, text/html)
2018-05-03 15:50 PDT, Said Abou-Hallawa
no flags Details
SVG filter versus CSS filter (416 bytes, text/html)
2018-05-04 11:28 PDT, Said Abou-Hallawa
no flags Details
SVG filter versus CSS filter (432 bytes, text/html)
2018-05-04 11:29 PDT, Said Abou-Hallawa
no flags Details
Patch (2.57 KB, patch)
2018-05-07 16:45 PDT, Said Abou-Hallawa
no flags Details | Formatted Diff | Diff
Patch (4.44 KB, patch)
2018-05-07 17:30 PDT, Said Abou-Hallawa
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Borghesi 2018-03-20 14:16:24 PDT
Hey there!
I was playing with SVG for experimenting some stuff and I decided to use and SVG filter applied via CSS to some different elements like div, img and form
Everything works fine in Chrome and Firefox but on Safari is messed up.
You can see a live version here www.operaomnia.mc and I created a codepen too here → https://codepen.io/anon/pen/MVJadQ
I thought was of a problem of my machine but I asked to many people and most of them see the problem, even on mobile

Here is a bunch of images of screenshot, machine info e safari version: https://imgur.com/a/XZgOa
Comment 1 Radar WebKit Bug Importer 2018-03-23 14:20:34 PDT
<rdar://problem/38807007>
Comment 2 Said Abou-Hallawa 2018-05-03 15:50:03 PDT
Created attachment 339479 [details]
test case
Comment 3 Said Abou-Hallawa 2018-05-03 15:50:24 PDT
This happens on Retina (2x) display only. A simpler test case is attached.
Comment 4 Said Abou-Hallawa 2018-05-04 11:28:46 PDT
Created attachment 339571 [details]
SVG filter versus CSS filter

This test case shows that the SVG filter works as expected while the CSS filter is not.
Comment 5 Said Abou-Hallawa 2018-05-04 11:29:59 PDT
Created attachment 339573 [details]
SVG filter versus CSS filter

Attaching the correct test case.
Comment 6 Said Abou-Hallawa 2018-05-07 16:45:46 PDT
Created attachment 339768 [details]
Patch
Comment 7 Said Abou-Hallawa 2018-05-07 17:30:53 PDT
Created attachment 339781 [details]
Patch
Comment 8 WebKit Commit Bot 2018-05-08 09:20:11 PDT
Comment on attachment 339781 [details]
Patch

Clearing flags on attachment: 339781

Committed r231485: <https://trac.webkit.org/changeset/231485>
Comment 9 WebKit Commit Bot 2018-05-08 09:20:13 PDT
All reviewed patches have been landed.  Closing bug.